Bug 829409 - dlm_controld dumping debug infos even when it was not requested
dlm_controld dumping debug infos even when it was not requested
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dlm (Show other bugs)
7.0
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: David Teigland
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 12:06 EDT by Jaroslav Kortus
Modified: 2016-01-07 11:49 EST (History)
1 user (show)

See Also:
Fixed In Version: dlm-4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 11:49:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Kortus 2012-06-06 12:06:31 EDT
Description of problem:
messages like this appearing on all terminals:
Message from syslogd@r7-node01 at Jun  6 10:52:02 ...
 dlm_controld[2729]: 755 vedder0 receive plock 4ed88 LK WR 0-7fffffffffffffff 3/2887/ffff8800292fd200 w 0


Version-Release number of selected component (if applicable):
dlm-3.99.2-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. dlm_controld -j30
2. run any test requiring locks (QUICKHIT in my case)
3.
  
Actual results:
terminals spammed

Expected results:
terminals spammed on explicit request only. It seems that the option is enabled by default.

Additional info:
Comment 1 David Teigland 2012-06-07 15:40:00 EDT
thanks, I just pushed out a fix for this,
http://git.fedorahosted.org/git/?p=dlm.git;a=commitdiff;h=e7883bea402d425f176dc4176bf5123acc84e153

Note You need to log in before you can comment on or make changes to this bug.